<%@ taglib uri="/WEB-INF/tlds/webrun.tld" prefix="webrun"%>

<%@ page import="wfr.sys.HTMLInterface.HTMLInterface" %>
<%@ page import="wfr.com.WFRSystem" %>
<%@ page import="wfr.util.*" %>

<%
  Logger logger = Logger.getLogger(this.getClass());

  String sys = request.getParameter("sys");

  HTMLInterface wfr = null;
  try {
    wfr = HTMLInterface.getInstance(request);
    wfr.checkJSPAccess(out, true);
  }
  catch (Exception e) {
    logger.error(wfr != null ? wfr.getUser() : WFRSystem.DEFAULT_USER, sys != null ? sys : WFRSystem.DEFAULT_SYSTEM, e);
  }

  String capturetype = "1";
  int type = Integer.parseInt(request.getParameter("type"));
  if (type == 0) capturetype = "1";
  if (type == 1 || type == 2) capturetype = "2";
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=${webrun:charset()}">
<title><webrun:message key="LABEL.FINGERPRINT_CAPTURE"/></title>
</head>
<webrun:import src="wfr.js"/>

<script language="JavaScript">
<!--

function setImg(v) {
}

function setImgBase64(v) {
}

function setFir(v) {
  MM_findObj('fir').value   = v;
}

function finalize() {
  setTimeout(function() {
    MM_findObj('Msg').innerHTML = '<webrun:message key="LABEL.WAIT"/>...';
    MM_findObj('WFRUPLOAD').submit();
  }, 0);
}

function error() {
  <%if (type == 2) {%>
  window.location.reload();
  <%}%>
}

function cancel() {
  window.close();
}

function timeout() {
  <%if (type == 2) {%>
  window.location.refresh();
  <%}%>
}


//-->
</script>


<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td><div align="center"><strong><font size="2" face="Arial, Helvetica, sans-serif" id="Msg" name="Msg"><webrun:message key="LABEL.LOADING_DEVICE"/> </font></strong></div></td>
  </tr>
</table>

<form id="WFRUPLOAD" method=post action="actiondigitalcapture.do">
<input type="hidden" name="sys" value="<%=request.getParameter("sys")%>"/>
<input type="hidden" name="procedure" value="<%=request.getParameter("procedure")%>"/>
<input type="hidden" name="type" value="<%=request.getParameter("type")%>"/>
<input type="hidden" name="message" value="<%=Functions.fromISOtoBASE(request.getParameter("message"))%>"/>
<input type="hidden" name="showwindow" value="<%=request.getParameter("showwindow")%>"/>
<input type="hidden" name="timeout" value="<%=request.getParameter("timeout")%>"/>
<input type="hidden" name="fir"/>
<input type="hidden" name="action" value="actiondigitalcapture"/>
</form>
<script>
function requestFir() {
    var xmlhttp = new XMLHttpRequest();

    xmlhttp.onreadystatechange = function() {
        if (xmlhttp.readyState == XMLHttpRequest.DONE) {   // XMLHttpRequest.DONE == 4
           if (xmlhttp.status == 200) {
		       var json = JSON.parse(xmlhttp.responseText);
               setFir(json.TEMPLATE);
			   setImg('');
               setImgBase64(json.IMAGEM_B64);
               finalize();
           }
           else if (xmlhttp.status == 400) {
              alert('Agente não inicializado.');
           }
           else {
               alert('Erro na comunicação com o leitor.');
           }
        }
    };

    xmlhttp.open("POST", "http://127.0.0.1:47408/func/biometria/l2sBiometriaLeitorWebrunCapturar", true);
    xmlhttp.send("type=<%=capturetype%>&timeout=<%=request.getParameter("timeout")%>");
}
requestFir();
</script>
</body>
</html>