<%@ taglib uri="/WEB-INF/tlds/webrun.tld" prefix="webrun"%>
<webrun:controller allowsExternalAccess="true" checkFormAuthorization="true">

<%@ page import="wfr.sys.HTMLInterface.HTMLInterface" %>
<%@ page import="wfr.com.WFRSystem" %>
<%@ page import="wfr.util.*" %>
<%
  Logger logger = Logger.getLogger(this.getClass());

  String sys = request.getParameter("sys");

  HTMLInterface wfr = null;
  try {
    wfr = HTMLInterface.getInstance(request);
    wfr.checkJSPAccess(out, true);
  }
  catch (Exception e) {
    logger.error(wfr != null ? wfr.getUser() : WFRSystem.DEFAULT_USER, sys != null ? sys : WFRSystem.DEFAULT_SYSTEM, e);
  }
%>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=${webrun:charset()}">
<title><webrun:message key="LABEL.FINGERPRINT_CAPTURE"/></title>
</head>
<webrun:import src="wfr.js"/>

<script language="JavaScript">
<!--

function setImg(v) {
}

function setImgBase64(v) {
  MM_findObj('img64').value   = v;
}

function setFir(v) {
  MM_findObj('fir').value   = v;
}

function finalize() {
  setTimeout(function() {
    MM_findObj('Msg').innerHTML = '<webrun:message key="LABEL.WAIT"/>...';
    MM_findObj('WFRUPLOAD').submit();
  }, 0);
}

function error() {
  window.close();
}

function cancel() {
  window.close();
}

function timeout() {
  window.close();
}


//-->
</script>


<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td><div align="center"><strong><font size="2" face="Arial, Helvetica, sans-serif" id="Msg" name="Msg"><webrun:message key="LABEL.LOADING_DEVICE"/> </font></strong></div></td>
  </tr>
</table>

<form id="WFRUPLOAD" method=post action="fileupload?sys=<%=request.getParameter("sys")%>&formID=<%=Functions.fromISOtoBASE(request.getParameter("formID"))%>&comID=<%=request.getParameter("comID")%>&type=D&crip=<%=request.getParameter("crip")%>">
<input type="hidden" name="img64"/>
<input type="hidden" name="fir"/>
</form>
<script>
function requestFir() {
    MM_findObj('Msg').innerHTML = 'Posicione o dedo no leitor...';
    var xmlhttp = new XMLHttpRequest();

    xmlhttp.onreadystatechange = function() {
        if (xmlhttp.readyState == XMLHttpRequest.DONE) {   // XMLHttpRequest.DONE == 4
           if (xmlhttp.status == 200) {
		       var json = JSON.parse(xmlhttp.responseText);
               setFir(encodeURIComponent(json.TEMPLATE));
			   setImg('');
               setImgBase64(json.IMAGEM_B64);
               finalize();
           }
           else if (xmlhttp.status == 400) {
              alert('There was an error 400');
           }
           else {
               alert('Resposta inesperada.');
           }
        }
    };

    xmlhttp.open("POST", "http://127.0.0.1:47408/func/biometria/l2sBiometriaLeitorWebrunCapturar", true);
    xmlhttp.send("type=1&timeout=10000");
}
requestFir();
</script>
</body>
</html>
</webrun:controller>
